org.jboss.netty.handler.codec.rtsp

## Class RtspVersions

- java.lang.Object
- - org.jboss.netty.handler.codec.rtsp.RtspVersions

-     public final class RtspVersions
      extends Object

  The version of RTSP.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HttpVersion` | `RTSP_1_0` RTSP/1.0

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpVersion` | `valueOf(String text)` Returns an existing or new `HttpVersion` instance which matches to the specified RTSP version string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RTSP_1_0

          public static final HttpVersion RTSP_1_0

      RTSP/1.0

  - ### Method Detail

    - #### valueOf

          public static HttpVersion valueOf(String text)

      Returns an existing or new `HttpVersion` instance which matches to the specified RTSP version string. If the specified `text` is equal to `"RTSP/1.0"`, `RTSP_1_0` will be returned. Otherwise, a new `HttpVersion` instance will be returned.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.